SoResetMatrixElement(3)

NAME
SoResetMatrixElement

SYNOPSIS

Inherits SoElement.

  Public Member Functions
virtual void init (SoState *state)
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
void setDepth (const int depth)
int getDepth (void) const
virtual void print (FILE *file=stdout) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbMatrix &m)
static const SbMatrix & get (SoState *state)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoResetMatrixElement ()
virtual void setElt (const SbMatrix &matrix)
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Constructor & Destructor Documentation

  SoResetMatrixElement::~SoResetMatrixElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  void SoResetMatrixElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoResetMatrixElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoElement.

  SbBool SoResetMatrixElement::matches (const SoElement * element) const [protected], [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoResetMatrixElement::copyMatchInfo (void ) const [protected], [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

Author

Generated automatically by Doxygen for Coin from the source code.